# Class WindowFooterDirective

#### Implements

- OnInit

- Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:20

#####
Index

### Constructors

constructor

### Properties

template
viewContainerRef
windowRef

### Methods

ngOnInit
ngTemplateContextGuard

## Constructors

### constructor

- new WindowFooterDirective(windowRef, template, viewContainerRef): WindowFooterDirective

- #### Parameters

  - windowRef: WindowRef<any, any>
  - template: TemplateRef<WindowFooterTemplateContext>
  - viewContainerRef: ViewContainerRef

  #### Returns WindowFooterDirective

  - Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:22

## Properties

### `Private` `Readonly` template

template: TemplateRef<WindowFooterTemplateContext>

- Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:26

### `Private` `Readonly` viewContainerRef

viewContainerRef: ViewContainerRef

- Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:28

### `Private` `Readonly` windowRef

windowRef: WindowRef<any, any>

- Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:24

## Methods

### ngOnInit

- ngOnInit(): void

- #### Returns void

  Implementation of OnInit.ngOnInit

  - Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:43

### `Static` ngTemplateContextGuard

- ngTemplateContextGuard(dir, ctx): ctx is WindowFooterTemplateContext

- Asserts the correct type of the context for the template that `NgForOf` will render.

  The presence of this method is a signal to the Ivy template type-check compiler that the `NgForOf` structural directive renders its template with a specific context type.

  #### Parameters

  - dir: WindowFooterDirective
  - ctx: any

  #### Returns ctx is WindowFooterTemplateContext

  - Defined in packages/angular/window-system/src/lib/window-footer.directive.ts:38